const kanaMap = Object.freeze({
  "a": "あ",
  "i": "い",
  "u": "う",
  "e": "え",
  "o": "お",
  "ka": "か",
  "ki": "き",
  "ku": "く",
  "ke": "け",
  "ko": "こ",
  "sa": "さ",
  "si": "し",
  "su": "す",
  "se": "せ",
  "so": "そ",
  "ta": "た",
  "ti": "ち",
  "tu": "つ",
  "te": "て",
  "to": "と",
  "na": "な",
  "ni": "に",
  "nu": "ぬ",
  "ne": "ね",
  "no": "の",
  "ha": "は",
  "hi": "ひ",
  "hu": "ふ",
  "he": "へ",
  "ho": "ほ",
  "ma": "ま",
  "mi": "み",
  "mu": "む",
  "me": "め",
  "mo": "も",
  "ya": "や",
  "yu": "ゆ",
  "yo": "よ",
  "ra": "ら",
  "ri": "り",
  "ru": "る",
  "re": "れ",
  "ro": "ろ",
  "wa": "わ",
  "wi": "ゐ",
  "we": "ゑ",
  "wo": "を",
  "nn": "ん",

  "ga": "が",
  "gi": "ぎ",
  "gu": "ぐ",
  "ge": "げ",
  "go": "ご",
  "za": "ざ",
  "zi": "じ",
  "zu": "ず",
  "ze": "ぜ",
  "zo": "ぞ",
  "da": "だ",
  "di": "ぢ",
  "du": "づ",
  "de": "で",
  "do": "ど",
  "ba": "ば",
  "bi": "び",
  "bu": "ぶ",
  "be": "べ",
  "bo": "ぼ",
  "pa": "ぱ",
  "pi": "ぴ",
  "pu": "ぷ",
  "pe": "ぺ",
  "po": "ぽ",

  "kya": "きゃ",
  "kyu": "きゅ",
  "kyo": "きょ",
  "gya": "ぎゃ",
  "gyu": "ぎゅ",
  "gyo": "ぎょ",
  "sya": "しゃ",
  "syu": "しゅ",
  "syo": "しょ",
  "nya": "にゃ",
  "nyu": "にゅ",
  "nyo": "にょ",
  "hya": "ひゃ",
  "hyu": "ひゅ",
  "hyo": "ひょ",
  "bya": "びゃ",
  "byu": "びゅ",
  "byo": "びょ",
  "pya": "ぴゃ",
  "pyu": "ぴゅ",
  "pyo": "ぴょ",
  "mya": "みゃ",
  "myu": "みゅ",
  "myo": "みょ",
  "rya": "りゃ",
  "ryu": "りゅ",
  "ryo": "りょ",

  "sha": "しゃ",
  "shi": "し",
  "shu": "しゅ",
  "sho": "しょ",
  "ja": "じゃ",
  "ji": "じ",
  "ju": "じゅ",
  "jo": "じょ",
  "cha": "ちゃ",
  "chi": "ち",
  "chu": "ちゅ",
  "cho": "ちょ",
  "tsu": "つ",
  "fu": "ふ",
  "dzi": "ぢ",
  "dzu": "づ",
  "n": "ん",

  " ": "　",
  "`": "｀",
  "1": "１",
  "2": "２",
  "3": "３",
  "4": "４",
  "5": "５",
  "6": "６",
  "7": "７",
  "8": "８",
  "9": "９",
  "0": "０",
  "-": "ー",
  "=": "＝",

  "~": "〜",
  "!": "！",
  "@": "＠",
  "#": "＃",
  "$": "＄",
  "%": "％",
  "^": "＾",
  "&": "＆",
  "*": "＊",
  "(": "（",
  ")": "）",
  "_": "＿",
  "+": "＋",

  "[": "「",
  "]": "」",
  "\\": "￥",
  ";": "；",
  "'": "’",
  ",": "、",
  ".": "。",
  "/": "・",

  "{": "『",
  "}": "』",
  "|": "｜",
  ":": "：",
  "\"": "”",
  "<": "＜",
  ">": "＞",
  "?": "？",

  "ltsu": "っ",
  "ltu": "っ",
  "la": "ぁ",
  "li": "ぃ",
  "lu": "ぅ",
  "le": "ぇ",
  "lo": "ぉ",
  "lya": "ゃ",
  "lyu": "ゅ",
  "lyo": "ょ",
  "lwa": "ゎ",

  "va": "ゔぁ",
  "vi": "ゔぃ",
  "vu": "ゔ",
  "ve": "ゔぇ",
  "vo": "ゔぉ",
  "fa": "ふぁ",
  "fi": "ふぃ",
  "fe": "ふぇ",
  "fo": "ふぉ",
})

module.exports = kanaMap